Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## escjava.gui
Class GUI.Options

    java.lang.Object
      javafe.Options
          javafe.SrcToolOptions
              escjava.Options
                  escjava.gui.GUI.Options

Enclosing class:
  GUI

public static class GUI.Options
extends Options

Extends escjava.Options just to set some defaults to more appropriate values for the GUI.

Field Summary

Fields inherited from class escjava.Options
`allocUseOpt, allowAlsoRequires, assertContinue, assertionMode, bubbleNotDown, checkPurity, checkRedundantSpecs, checkSpecs, ClassVCPrefix, counterexample, desugaredSpecs, dsa, excuseNullInitializers, filterInvariants, filterMethodSpecs, guardedVC, guardedVCDir, guardedVCFileExt, guardedVCFileNumbers, guardedVCGuardFile, guardedVCPrefix, guardVars, ifpvc2dot, ignoreAnnSet, inferPredicates, inlineConstructors, inlineDepthFlags, inlineFromConstructors, JAVA_ASSERTIONS, JML_ASSERTIONS, lastVarUseOpt, lazySubst, LOOP_FALL_THRU, LOOP_FAST, LOOP_SAFE, loopTranslation, loopUnrollCount, loopUnrollHalf, mapsUnrollCount, mergeInv, MethodVCPrefix, namePCsize, nestQuantifiers, nne, noDirectTargetsOpt, noNotCheckedWarnings, noOutCalls, noPeepOptGCAssertFalse, noSemicolonWarnings, noVarCheckDeclsAndUses, nvcg, nvcgpi, nvu, parsePlus, passify, pcc, pdsa, peepOptE, peepOptGC, pgc, pjt, plainWarning, pPvs, preciseTargets, predAbstract, prettyPrintVC, printAssumers, printCompilationUnitsOnLoad, pSimplify, pvc, pvsProof, rewriteDepth, routinesToCheck, routinesToSkip, showCallDetails, showFields, showLoopDetails, simplify, specspath, spvc, stages, startLine, statsQuantifierComplexity, statsSpace, statsTermComplexity, statsTime, statsVariableComplexity, strictExceptions, strongAssertPost, suggest, sxLog, testRef, traceInfo, trackReadChars, univBackPredFile, useAllInvPostBody, useAllInvPostCall, useAllInvPreBody, useDefpred, useFcnsForAllocations, useFcnsForMethods, useFcnsForModelVars, useHarvey, useIntQuantAntecedents, useOldStringHandling, useSammy, useSimplify, useThrowable, vc2dot, vclimit, wpnxw, wpp`

Fields inherited from class javafe.SrcToolOptions
`allowAvoidSpec, allowDepend, avoidSpec, processRecursively`

Fields inherited from class javafe.Options
`assertionsEnabled, assertIsKeyword, currentdir, eol, fileOrigin, inputEntries, issueUsage, NEVER_BINARY, NEVER_SOURCE, noCautions, PREFER_BINARY, PREFER_RECENT, PREFER_SOURCE, quiet, showErrorLocation, sysPath, testMode, userPath, userSourcePath, v`

Constructor Summary
`GUI.Options()`

Methods inherited from class escjava.Options
`nowarnOptionString, processOption, showNonOptions, showOptions`

Methods inherited from class javafe.Options
`checkMoreArguments, format, processFileOfArgs, processOptions, processOptionsLoop, showOptionArray, usage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GUI.Options

    public GUI.Options()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage